Set up a passkey (start) (v2)
curl --request POST \
--url https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start \
--header 'Content-Type: application/json' \
--header 'x-program-id: <x-program-id>' \
--data '
{
"sessionToken": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"friendlyName": "My phone"
}
'import requests
url = "https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start"
payload = {
"sessionToken": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"friendlyName": "My phone"
}
headers = {
"x-program-id": "<x-program-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-program-id': '<x-program-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({sessionToken: '3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b', friendlyName: 'My phone'})
};
fetch('https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sessionToken' => '3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b',
'friendlyName' => 'My phone'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-program-id: <x-program-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start"
payload := strings.NewReader("{\n \"sessionToken\": \"3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b\",\n \"friendlyName\": \"My phone\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-program-id", "<x-program-id>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start")
.header("x-program-id", "<x-program-id>")
.header("Content-Type", "application/json")
.body("{\n \"sessionToken\": \"3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b\",\n \"friendlyName\": \"My phone\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-program-id"] = '<x-program-id>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sessionToken\": \"3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b\",\n \"friendlyName\": \"My phone\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"sessionToken": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"publicKey": {
"rp": {
"id": "next.orenda.finance",
"name": "Orenda"
},
"user": {
"id": "dXNlci1jdXN0XzNmOWEyYjdl",
"name": "ada.lovelace@example.com",
"displayName": "Ada Lovelace"
},
"challenge": "q1n9bXJ0c2VjdXJlY2hhbGxlbmdl",
"pubKeyCredParams": [
{
"type": "public-key",
"alg": -7
},
{
"type": "public-key",
"alg": -257
}
],
"timeout": 120000,
"authenticatorSelection": {
"residentKey": "preferred",
"userVerification": "required"
},
"attestation": "none"
}
}
}Security setup
Set up a passkey (start) (v2)
Step 1 of the passkey path for a user finishing a SECURITY_SETUP_REQUIRED challenge. Send the sessionToken. You get back publicKey creation options to pass to navigator.credentials.create() (or the platform credential API on iOS and Android). No bearer token; this runs before the user has tokens.
POST
/
v2
/
auth
/
security-setup
/
passkey
/
register
/
start
Set up a passkey (start) (v2)
curl --request POST \
--url https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start \
--header 'Content-Type: application/json' \
--header 'x-program-id: <x-program-id>' \
--data '
{
"sessionToken": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"friendlyName": "My phone"
}
'import requests
url = "https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start"
payload = {
"sessionToken": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"friendlyName": "My phone"
}
headers = {
"x-program-id": "<x-program-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-program-id': '<x-program-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({sessionToken: '3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b', friendlyName: 'My phone'})
};
fetch('https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sessionToken' => '3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b',
'friendlyName' => 'My phone'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-program-id: <x-program-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start"
payload := strings.NewReader("{\n \"sessionToken\": \"3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b\",\n \"friendlyName\": \"My phone\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-program-id", "<x-program-id>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start")
.header("x-program-id", "<x-program-id>")
.header("Content-Type", "application/json")
.body("{\n \"sessionToken\": \"3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b\",\n \"friendlyName\": \"My phone\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v2/auth/security-setup/passkey/register/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-program-id"] = '<x-program-id>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sessionToken\": \"3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b\",\n \"friendlyName\": \"My phone\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"sessionToken": "3f1c2e8a-9b4d-4e6f-8a1b-2c3d4e5f6a7b",
"publicKey": {
"rp": {
"id": "next.orenda.finance",
"name": "Orenda"
},
"user": {
"id": "dXNlci1jdXN0XzNmOWEyYjdl",
"name": "ada.lovelace@example.com",
"displayName": "Ada Lovelace"
},
"challenge": "q1n9bXJ0c2VjdXJlY2hhbGxlbmdl",
"pubKeyCredParams": [
{
"type": "public-key",
"alg": -7
},
{
"type": "public-key",
"alg": -257
}
],
"timeout": 120000,
"authenticatorSelection": {
"residentKey": "preferred",
"userVerification": "required"
},
"attestation": "none"
}
}
}Headers
Identifies the program. Can also be sent as the programId query parameter.
The web origin of your app. Browsers send this automatically; it's used to pick the relying party.
Body
application/json